Subject: Re: bug#38109: Updated Emacs to HEAD, consistently not scaling now

From: Alan Third <[email-masked]>
Date: Tue, 26 Nov 2019 20:36:55 +0000

On Sun, Nov 24, 2019 at 06:52:21PM +0100, Adam Sjøgren wrote:
> Alan writes:
> 
> > On Sat, Nov 23, 2019 at 01:02:50AM +0100, Adam Sjøgren wrote:
> >> 
> >> Note, though, how the RGB image looks different than the two others, it
> >> has a border added.
> >
> > This is caused by the smoothing of the image. After a LOT of searching
> > around I found out we need to set the repeat value for the Picture to
> > pad so that when it’s applying the filter and looking outside the
> > image bounds it will look for the nearest real pixel rather than
> > inventing a transparent black one.
> >
> > Patch attached.
> 
> Looks much better after your hunt:

Every time I look at those screenshots I think that perhaps we should
turn off the smoothing completely, then remember I turned it on
because photos of real things looked awful without it.

Anyway, I’ll wait a few days and then push if nobody objects.

Thanks for your help.
-- 
Alan Third